Skip to main content
POST
/
v1
/
public
/
cruises
/
sailings
/
{key}
/
quote
Quote a sailing
curl --request POST \
  --url https://{operatorDomain}/v1/public/cruises/sailings/{key}/quote \
  --header 'Content-Type: application/json' \
  --data '
{
  "cabinCategoryId": "<string>",
  "cabinCategoryRef": "<string>",
  "occupancy": 123,
  "guestCount": 123,
  "passengerComposition": {},
  "fareCode": "<string>",
  "fareVariant": "<string>",
  "bookingTerms": {}
}
'
{
  "total": 123,
  "currency": "EUR",
  "components": [
    {}
  ]
}

Path Parameters

key
string
required

Body

application/json
cabinCategoryId
string | null
cabinCategoryRef
string | null
occupancy
integer
guestCount
integer
passengerComposition
object
fareCode
string | null
fareVariant
string | null
bookingTerms
object

Response

200 - application/json

Quote

total
integer

Minor units

currency
string
Example:

"EUR"

components
object[]